Submitted By:            Armin K. <krejzi at email dot com>
Date:                    2013-07-02
Initial Package Version: 9.1.4
Upstream Status:         Fixed upstream
Origin:                  Upstream
Description:             Fixes building with LLVM 3.3.

--- a/src/gallium/drivers/r600/llvm_wrapper.cpp	2013-03-05 23:54:28.000000000 +0100
+++ b/src/gallium/drivers/r600/llvm_wrapper.cpp	2013-07-02 12:58:39.294793737 +0200
@@ -1,8 +1,16 @@
 #include <llvm/ADT/OwningPtr.h>
 #include <llvm/ADT/StringRef.h>
+#if HAVE_LLVM < 0x0303
 #include <llvm/LLVMContext.h>
-#include <llvm/PassManager.h>
 #include <llvm/Support/IRReader.h>
+#else
+#include <llvm/IR/LLVMContext.h>
+#include <llvm/IR/Module.h>
+#include <llvm/IR/Function.h>
+#include <llvm/IR/DataLayout.h>
+#include <llvm/IRReader/IRReader.h>
+#endif
+#include <llvm/PassManager.h>
 #include <llvm/Support/MemoryBuffer.h>
 #include <llvm/Support/SourceMgr.h>
 #include <llvm/Transforms/IPO.h>
--- a/src/gallium/drivers/r600/Makefile.am	2013-03-05 23:54:28.000000000 +0100
+++ b/src/gallium/drivers/r600/Makefile.am	2013-07-02 12:58:39.294793737 +0200
@@ -26,7 +26,8 @@
 	-I$(top_srcdir)/src/gallium/drivers/radeon/
 
 AM_CXXFLAGS= \
-	$(LLVM_CXXFLAGS)
+	$(LLVM_CXXFLAGS) \
+	$(DEFINES)
 endif
 
 if USE_R600_LLVM_COMPILER
--- a/src/gallium/drivers/radeon/radeon_llvm_emit.cpp	2013-06-25 23:24:55.000000000 +0200
+++ b/src/gallium/drivers/radeon/radeon_llvm_emit.cpp	2013-07-02 12:58:39.294793737 +0200
@@ -25,13 +25,21 @@
  */
 #include "radeon_llvm_emit.h"
 
+#if HAVE_LLVM < 0x0303
 #include <llvm/LLVMContext.h>
 #include <llvm/Module.h>
+#include <llvm/DataLayout.h>
+#else
+#include <llvm/IR/LLVMContext.h>
+#include <llvm/IR/Module.h>
+#include <llvm/IR/DataLayout.h>
+#include <llvm/Support/CBindingWrapping.h>
+#endif
+
 #include <llvm/PassManager.h>
 #include <llvm/ADT/Triple.h>
 #include <llvm/Support/FormattedStream.h>
 #include <llvm/Support/Host.h>
-#include <llvm/Support/IRReader.h>
 #include <llvm/Support/SourceMgr.h>
 #include <llvm/Support/TargetRegistry.h>
 #include <llvm/Support/TargetSelect.h>
@@ -39,7 +47,6 @@
 #include <llvm/Target/TargetMachine.h>
 #include <llvm/Transforms/Scalar.h>
 #include <llvm-c/Target.h>
-#include <llvm/DataLayout.h>
 
 #include <iostream>
 #include <stdlib.h>
